#!/usr/bin/gawk -f

BEGIN{
  pi=3.1415926535;
  deg=pi/180.;
  eps=1.e-8;
  OFMT=CONVFMT="%.6f";

  print "# JD & separation rho [arcsec] & position angle theta [deg] & major [arcsec] & minor [arcsec] & PA [deg] of uncertainty ellipse & Besselian year & dataset";

}
!/\!/ && (NF>0){
  jd = 2400000.0 + $2;
  sep=$3*1.e-3;
#  ang=$4+eps;
  ang=$4+eps+180.;
  major=$5*1.e-3+eps;
  minor=$6*1.e-3+eps;
  PA_ellipse=$7+eps;

  bessel = 1900.0 + (jd - 2415020.31352) / 365.242198781;
  dataset = "NPOI";

  print jd "	" sep "	" ang "	" major "	" minor "	" PA_ellipse "	" bessel "	" dataset;
} 

# this is ALSO wrong?!
#  jd = (year_julian + 4712.) * 365.25

# this is WRONG (if we compare JD to original FITS files)
#  jd = 2415020.31352 + (bessel - 1900.0) * 365.242198781


